import { address as addressFormat } from './address/AddressFormat';
import { name as nameFormat } from './name/NameFormat';
import { numberFormat } from './number/NumberFormat';
import { relativeFormat } from './duration/RelativeFormat';
import { dateTimeFormat } from './datetime/intlFormat';

export {
    addressFormat,
    nameFormat,
    numberFormat,
    dateTimeFormat,
    relativeFormat,
};

export { getLocale, getLocaleTag } from './localeUtils';

export { getNameOfWeekdays, getMonthNames } from './datetime/intlDisplayNames';

export {
    normalizeISODate,
    normalizeISOTime,
    normalizeISODateTime,
    normalizeFormattedDate,
    normalizeFormattedTime,
    normalizeFormattedDateTime,
    getToday,
    getCurrentTime,
} from './datetime/dateTimeUtils';

export {
    isBefore,
    isAfter,
    formatDate,
    formatTime,
    formatDateUTC,
    formatDateTimeUTC,
    parseTime,
    parseDateTime,
    parseDateTimeUTC,
    toOtherCalendar,
    fromOtherCalendar,
    syncWallTimeToUTC,
    syncUTCToWallTime,
} from './localizationService';
